#-------------------------
# Reverse in place
# by Ockham 11/23/07
#-------------------------

import os  # Be sure this is among the import statements.
import poser
scene=poser.Scene()

#-------------------------

OrigFrames = scene.NumFrames()
Last = OrigFrames-1
Fig=scene.CurrentFigure()

L=[]
for F in range(OrigFrames):
	scene.SetFrame(F)
	TempF={}
	for A in Fig.Actors():
		A.AddKeyFrame(F)
		AN=A.Name()
		for P in A.Parameters():
			PN=P.Name()
			TempF[ (AN,PN) ] = P.Value()
	L.append(TempF)
Last=OrigFrames

F=OrigFrames
for TempF in L:
	scene.SetFrame(F)
	if F<0: break
	for A in Fig.Actors():
		AN=A.Name()
		for P in A.Parameters():
			PN=P.Name()
			P.SetValue( TempF[ (AN,PN) ] )
	F=F-1


scene.SetFrame(0)
print "Done!"

#-------------------------
